跳转到内容

Ffmpeg Api Images to Video

集成

模型 id ffmpeg-api/images-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ffmpeg-api/images-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      {
        "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
        "frames": 1
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此请求: ≈$0.005 5 API 积分 · ≈ ₽0.52 在此页面运行

获取 API 密钥
Utility · 视频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填

视频的图像播放序列;每个图像分配的帧数决定其在切换到下一张图像前的显示时长。

高级 fps
默认 24

输出视频帧率,单位为每秒帧数。

POST /run/ffmpeg-api/images-to-video?wait=20 报价 → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ffmpeg-api/images-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "images": [
      {
        "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
        "frames": 1
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Ffmpeg Api Images to Video

将有序图像列表转换为 MP4。`images` 接受 1 到 200 个条目,每张图像按其指定帧数显示后切换到下一张。`fps` 设置输出帧率,范围为 1 到 120,默认为 24。不涉及生成。

参数

名称类型 默认值允许值 描述
images必填
类型object[]
≤ 200 个项目
视频的图像播放序列;每个图像分配的帧数决定其在切换到下一张图像前的显示时长。
images[].url必填
类型string
提供图像文件访问权限的 URL。
images[].frames必填
类型integer
1 – 1,000
输出帧中的图像停留时长,相当于屏幕上的 `frames / fps` 秒。
fps可选
类型number
默认值24
1 – 120
输出视频帧率,单位为每秒帧数。
必填

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ffmpeg-api/images-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "images": [
      {
        "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
        "frames": 1
      }
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size}MP4 格式的生成视频。

更多模型:图生视频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/ffmpeg-api/images-to-video.md. 所有模型和指南: https://doitong.com/developers/llms.txt